> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Desafixar uma build (sem efeito se não estiver fixada)

> Desafixe a org se, e somente se, ela estiver atualmente fixada em ``build_id``.

Nenhuma operação é realizada (ainda retorna 204) quando a org não está fixada nesta build.

<div id="permissions">
  ## Permissões
</div>

Requer um usuário de serviço com a permissão `ManageOrgSnapshots` no nível da organização.

<div id="behavior">
  ## Comportamento
</div>

Desafixa uma build. Não faz nada se a build não estiver fixada no momento.


## OpenAPI

````yaml pt-BR/v3-openapi.yaml DELETE /v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/pin
openapi: 3.1.0
info:
  description: API Devin v3 com autenticação de usuário de serviço e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/pin:
    delete:
      tags:
        - snapshot_setup
      summary: Desafixar uma build (sem efeito se não estiver fixada)
      description: >-
        Desafixe a org se, e somente se, ela estiver atualmente fixada em
        ``build_id``.


        Nenhuma operação é realizada (ainda retorna 204) quando a org não está
        fixada nesta build.
      operationId: >-
        unpin_org_build_v3beta1_organizations__org_id__snapshot_setup_builds__build_id__pin_delete
      parameters:
        - in: path
          name: build_id
          required: true
          schema:
            title: Build Id
            type: string
        - description: 'ID da organização (prefixo: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '204':
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuário de serviço (prefixo: cog_)'
      scheme: bearer
      type: http

````